#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 turtle
version:              1.5.17
visibility:           public
id:                   turtle-1.5.17-7sT8jMg6HgnE2w9offXJbz
key:                  turtle-1.5.17-7sT8jMg6HgnE2w9offXJbz
license:              BSD-3-Clause
copyright:            2015 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.

    Features include:

    * Batteries included: Command an extended suite of predefined utilities

    * Interoperability: You can still run external shell commands

    * Portability: Works on Windows, OS X, and Linux

    * Exception safety: Safely acquire and release resources

    * Streaming: Transform or fold command output in constant space

    * Patterns: Use typed regular expressions that can parse structured values

    * Formatting: Type-safe @printf@-style text formatting

    * Modern: Supports @text@ and @system-filepath@

    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide

    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.

category:             System
abi:                  7a00abcd2ec4fdb7360480c2f816a295
exposed:              True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial

hidden-modules:       Turtle.Internal
import-dirs:          /usr/lib/ghc-8.8.3/site-local/turtle-1.5.17
library-dirs:         /usr/lib/ghc-8.8.3/site-local/turtle-1.5.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/turtle-1.5.17
hs-libraries:         HSturtle-1.5.17-7sT8jMg6HgnE2w9offXJbz
depends:
    ansi-wl-pprint-0.6.9-FwI6SNhePcRKFdu76tFbw8
    async-2.2.2-EhXh0MVwjbPIdyzx0JEPWD base-4.13.0.0
    bytestring-0.10.10.0 clock-0.8-BDr0ZJKaVWEAskyGHHBCXi
    containers-0.6.2.1 directory-1.3.6.0
    exceptions-0.10.4-IWqfFitgKOeJT066q48Qo6
    foldl-1.4.6-I5RLCBOPQmF175JpRhamwB
    hostname-1.0-AmuAwo7y3Ql7hBU6rJjFcq
    managed-1.0.7-2wFCwv0rolgGQlt0c4eY4p
    optional-args-1.0.2-7gL5IauFL6SAQfRW5EHXXe
    optparse-applicative-0.15.1.0-3VT6JxGBO4PCu4ByiufvdN
    process-1.6.8.0 stm-2.5.0.0
    streaming-commons-0.2.1.2-IJwL2tLXn4DBf4oFdu5u
    system-fileio-0.3.16.4-6fmXp5gitJq7II8pbbBhnI
    system-filepath-0.4.14-3ToIzf08s0IKxhVw71e1UN
    temporary-1.3-1oqjVBopLfZ709YrUPJCwK text-1.2.4.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-1FQI6nqgJsoGP4VQqT0w3a

haddock-interfaces:   /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html:         /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

